Bug 1915929 - A11y Violation: svg-img-alt for time axis of Utilization Card on Cluster Dashboard
Summary: A11y Violation: svg-img-alt for time axis of Utilization Card on Cluster Dash...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: David Taylor
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-13 18:28 UTC by David Taylor
Modified: 2021-02-24 15:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Accesibility violation on x axis of Utilization Card on Cluster Dashboard Consequence: Those using screen readers can't 'read' what the chart axis is. Fix: Added aria-label 'time axis' to the x axis of the chart. Result: Those using screen readers can read 'time axis'
Clone Of:
: 1919396 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:53:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
svg-img-alt violation shown in Cypress test (461.55 KB, image/png)
2021-01-13 18:28 UTC, David Taylor
no flags Details
a11y error button-name must has discernible text (636.10 KB, image/png)
2021-01-27 05:51 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7604 0 None closed Bug 1915929: CONSOLE-2503: Cypress bump to version 6 2021-02-01 01:26:48 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:24 UTC

Description David Taylor 2021-01-13 18:28:14 UTC
After updating to Cypress 6 and running the 'other-routes.spec' test, a11yCheck reports a 'svg-img-alt' violation on the Cluster Dashboard, Utilization Card, x/time axis.

The chart in question needs to have a title element as a child, or aria-label.

Comment 1 David Taylor 2021-01-13 18:28:55 UTC
Created attachment 1747152 [details]
svg-img-alt violation shown in Cypress test

Comment 4 Yadan Pei 2021-01-27 05:51:52 UTC
Created attachment 1751129 [details]
a11y error button-name must has discernible text

1. clone latest console repo
2. build and bridge
3. cd frontend; yarn run test-cypress-console

I see a different a11y error(attachment), is it should be tracked in different bz?

Comment 5 David Taylor 2021-01-27 14:11:41 UTC
Hi, created bz https://bugzilla.redhat.com/show_bug.cgi?id=1921106 to track new 'button-name' a11y violation.

Comment 6 Yanping Zhang 2021-02-02 14:54:11 UTC
According to Comment 4 and Comment 5, the original issue in the bug is fixed, and new issue will be tracked in new bug 1921106.

Comment 9 errata-xmlrpc 2021-02-24 15:53:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.